

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_cicloHorometro'
      AND [columna]='id_equipo' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_cicloHorometro' ,'id_equipo',1 ,1 ,1 ,'int' ,0 ,null)
END



IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_cicloHorometro'
      AND [columna]='horometroInicial' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=2 AND[requerido]=1 AND[tipo]='float'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_cicloHorometro' ,'horometroInicial',1 ,2 ,1 ,'float' ,0 ,null)
END



IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_cicloHorometro'
      AND [columna]='horometroFinal' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=3AND[requerido]=1 AND[tipo]='float'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_cicloHorometro' ,'horometroFinal',1 ,3 ,1 ,'float' ,0 ,null)
END



IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_cicloHorometro'
      AND [columna]='afectarProyeccion' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=4AND[requerido]=1 AND[tipo]='bit'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_cicloHorometro' ,'afectarProyeccion',1 ,4 ,1 ,'bit' ,0 ,null)
END


IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_cicloHorometro'
      AND [columna]='Nciclo' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5 AND[requerido]=1 AND[tipo]='int'AND[defecto]=1 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_cicloHorometro' ,'Nciclo',1 ,5 ,1 ,'int' ,1 ,null)
END


IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_cicloHorometro'
      AND [columna]='reparacionMayor' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=6AND[requerido]=1 AND[tipo]='bit'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_cicloHorometro' ,'reparacionMayor',1 ,6 ,1 ,'bit' ,0 ,null)
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_cicloHorometro'
      AND [columna]='reiniciarHorometro' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=7AND[requerido]=1 AND[tipo]='bit'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_cicloHorometro' ,'reiniciarHorometro',1 ,7 ,1 ,'bit' ,0 ,null)
END



IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='equ_trazabilidad'
      AND [columna]='id_cicloHorometro' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1AND[requerido]=1 AND[tipo]='int'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('equ_trazabilidad' ,'id_cicloHorometro',1 ,1 ,1 ,'int' ,0 ,null)
END

